Name:		marisa
Version:	0.2.4
Release:	%mkrel 2
Summary:	Static and spece-efficient trie data structure library
Group:		System/Libraries
License:	BSD or LGPL
URL:		https://code.google.com/p/marisa-trie/
Source0:	https://marisa-trie.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	swig
BuildRequires:	perl-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	ruby-devel

%description
Matching Algorithm with Recursively Implemented StorAge (MARISA) is a
static and space-efficient trie data structure. And libmarisa is a C++
library to provide an implementation of MARISA. Also, the package of
libmarisa contains a set of command line tools for building and
operating a MARISA-based dictionary.

A MARISA-based dictionary supports not only lookup but also reverse
lookup, common prefix search and predictive search.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tools
Summary:	Tools for %{name}
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description	tools
The %{name}-tools package contains tools for developing applications
that use %{name}.


%package perl
Summary:	Perl language binding for marisa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description perl
Perl language binding for marisa


%package python
Summary:	Python language binding for marisa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description python
Python language binding for marisa


%package ruby
Summary:	Ruby language binding for marisa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ruby


%description ruby
Ruby language binding for groonga


%prep
%setup -q


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

# build Perl bindings
pushd bindings/perl
%{__perl} Makefile.PL INC="-I%{_builddir}/%{name}-%{version}/lib" LIBS="-L%{_builddir}/%{name}-%{version}/lib/.libs"
make %{?_smp_mflags}
popd

# build Python bindings
pushd bindings/python
%{__python} setup.py build_ext --include-dirs="%{_builddir}/%{name}-%{version}/lib" --library-dirs="%{_builddir}/%{name}-%{version}/lib/.libs"
%{__python} setup.py build
popd

# build Ruby bindings
# Regenerate ruby bindings
pushd bindings
make swig-ruby
popd

pushd bindings/ruby
ruby extconf.rb --with-opt-include="%{_builddir}/%{name}-%{version}/lib" --with-opt-lib="%{_builddir}/%{name}-%{version}/lib/.libs" --vendor
make
popd


%install
%make_install INSTALL="install -p"

# install Perl bindings
pushd bindings/perl
%make_install INSTALL="install -p"
popd

# install Python bindings
pushd bindings/python
%{__python} setup.py install --root="$RPM_BUILD_ROOT"
popd

# install Ruby bindings
pushd bindings/ruby
%make_install INSTALL="install -p"
popd

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name 'perllocal.pod' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc docs/* AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files tools
%{_bindir}/marisa*

%files perl
%{perl_sitearch}/*
%exclude %dir %{perl_sitearch}/auto/

%files python
%{python_sitearch}/*

%files ruby
%{ruby_vendorarchdir}/*


%changelog
* Mon Nov 03 2014 bb <bb> 0.2.4-2pclos2014
- rebuild for new ruby

* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.2.4-1pclos2013
- import package